﻿using System;
using System.Diagnostics;


namespace SpaceInvaders
{
    public class ShipReadyObserver : CollisionObserver
    {
        //-------------------------------------------------------------------
        //  CONSTRUCTION
        //-------------------------------------------------------------------

        public ShipReadyObserver() : base()
        { }


        //-------------------------------------------------------------------
        //  PUBLIC METHODS
        //-------------------------------------------------------------------

        public override void Notify()
        {
            Ship pShip = ShipMan.GetShip();
            pShip.SetMissileState(ShipMan.MissileState.Ready);
        }


    } // end class

} // end namespace